<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.iot.mapper.VcDeviceMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.iot.domain.VcDevice">
        <id column="id" property="id" />
        <result column="video_number" property="videoNumber" />
        <result column="video_name" property="videoName" />
        <result column="video_stream" property="videoStream" />
        <result column="camera_type" property="cameraType" />
        <result column="stream_id" property="streamId" />
        <result column="group_id" property="groupId" />
        <result column="order_num" property="orderNum" />
        <result column="access" property="access" />
        <result column="video_desc" property="videoDesc" />
        <result column="video_ip" property="videoIP" />
        <result column="video_port" property="videoPort" />
        <result column="account_number" property="accountNumber" />
        <result column="video_password" property="videoPassword" />
        <result column="create_by" property="createBy" />
        <result column="create_time" property="createTime" />
        <result column="update_by" property="updateBy" />
        <result column="update_time" property="updateTime" />
        <result column="dept_id" property="deptId" />
        <result column="tenant_id" property="tenantId" />
        <result column="del_flag" property="delFlag" />
    </resultMap>

</mapper>
